
Foreman - Bug #3261

Message shows wrong power state when powering off an VM from webUI

10/15/2013 02:52 PM - Peter Gustafsson

Status: Closed   

Priority: Normal   

Assignee: Sam Kottler   

Category: VM management   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When powering off an vmware VM from the WebUI i receives an messages that says the host is poweredOn but it's actually powered

off.

Foreman 1.3 stable

Related issues:

Related to Foreman - Bug #3707: BMC power pop up indication is incorrect Duplicate 11/21/2013

Has duplicate Foreman - Bug #3878: Changing BMC power state results in a mess... Duplicate 12/15/2013

Associated revisions

Revision e07a21c9 - 01/06/2014 11:49 AM - Sam Kottler

fixes #3261 - use the action the host is about to perform for power action notifications

History

#1 - 10/15/2013 05:11 PM - Dominic Cleal

- Subject changed from Foreman 1.3 stable: Error when powering off an vmware VM from webUI to Message shows wrong power state when

powering off an VM from webUI

- Description updated

- Priority changed from High to Normal

Indeed, it's reporting the current state of the machine after it's finished the API call rather than the target state.  If the hypervisor triggers a soft

shutdown, then the VM will still be "on" rather than "off", even though it's beginning shutdown.  The message reported will have no effect on the power

off itself.

#2 - 10/15/2013 05:17 PM - Peter Gustafsson

Yes but it's confusing the users, they then hit the power off button once more and get an error message.

I would rather see a message telling that the host is shutting down.

Br, Peter

#3 - 10/15/2013 05:19 PM - Dominic Cleal

Of course!  Just explaining why it's happening.

#4 - 12/16/2013 08:34 AM - Dominic Cleal

- Related to Bug #3707: BMC power pop up indication is incorrect added

#5 - 12/16/2013 08:34 AM - Dominic Cleal

- Has duplicate Bug #3878: Changing BMC power state results in a message which says the host is going to be in the current state instead of the

target one added

#6 - 12/21/2013 11:16 PM - Sam Kottler
- Assignee set to Sam Kottler

#7 - 01/02/2014 02:58 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.9.3

https://github.com/theforeman/foreman/pull/1107

#8 - 01/06/2014 11:49 AM - Dominic Cleal

- translation missing: en.field_release set to 2

#9 - 01/06/2014 12:31 PM - Sam Kottler

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e07a21c9b9e673ac4ac463d393ea4a2718f90219.
